<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Terreno extends Model
{
    use HasFactory;

    protected $table = 'terreno';
    protected $primaryKey = 'id_terreno';

    protected $fillable = [
        'id_lotizacion',
        'id_via', // Nueva relación con la vía
        'manzana',
        'lote',
        'area',
        'estado'
    ];

    // Relación: Un terreno pertenece a una lotización
    public function lotizacion()
    {
        return $this->belongsTo(Lotizacion::class, 'id_lotizacion');
    }

    // Relación: Un terreno pertenece a una vía
    public function via()
    {
        return $this->belongsTo(Via::class, 'id_via');
    }
}
